package com.itjob.service;

import java.util.List;

import com.itjob.dao.model.BindPhone;

/**
 * 绑定电话设置的业务逻辑接口类.
 */
public interface BindPhoneManager {
	public List getBindPhoneList(String userNumber) throws Exception;
	public void insertBindPhone(BindPhone bindPhone) throws Exception;
	public void deleteBindPhone(String[] idArray) throws Exception;
	public BindPhone getBindPhone(long id) throws Exception;
	public void updateBindPhone(BindPhone bindPhone) throws Exception;
	public void setAnswerFlag(long id) throws Exception;
	public void setCalloutFlag(long id) throws Exception;
	public void setPriOrder(String[] idArray, String[] priOrderArray) throws Exception;
	public int validBindPhone(String userNumber, String bindPhone) throws Exception;
}
